/* -*- linux-c -*- --------------------------------------------------------- *
 *
 * linux/fs/supermount/init.c
 *
 *  Copyright 2001 Mandrakesoft Inc. -- All Rights Reserved
 *
 * This file is part of the Linux kernel and is made available under
 * the terms of the GNU General Public License, version 2, or at your
 * option, any later version, incorporated herein by reference.
 *
 * ------------------------------------------------------------------------- */

#include <linux/module.h>
#include <linux/init.h>
#include <linux/fs.h>

#include "supermount_i.h"

static DECLARE_FSTYPE (supermount_fs_type, "supermount",
		       supermount_read_super, 0);

static int __init
init_supermount_fs (void)
{
	return register_filesystem (&supermount_fs_type);
}

static void __exit
exit_supermount_fs (void)
{
	unregister_filesystem (&supermount_fs_type);
}

module_init (init_supermount_fs);
module_exit (exit_supermount_fs);
